
# RcmdrPlugin.KMggplot2 package


## Changes in version 0.2-7 (2025-03-25)
* Fixed errors and warnings.
* Update for ggplot2 3.4.0.


## Changes in version 0.2-6 (2019-09-17)
* Fixed a bug: Rd files.
* New ggthemes's themes (theme_clean, theme_economist_white, theme_excel_new, theme_solarized_2).


## Changes in version 0.2-5 (2018-02-20)
* Fixed a bug: The size of dots in Beeswarm plots (Thanks to Prof. José G. Conde).
* Fixed a bug: A namespace problem in r-devel-linux-x86_64-fedora-clang/gcc.


## Changes in version 0.2-4 (2016-12-20)

* ggplot2 2.2.0 was supported.
* Added ggplot2's colour/fill scales (scale_*_hue, scale_*_grey).
* New plot: Beeswarm plot in Box plot (Thanks to DailyFunky @EpiFunky).
* New function: lastcom() function to list the last command.
* Fixed a bug: Histogram with missing values (Thanks to Dr. José G. Conde).
* Fixed a bug: Boxplot with an inappropriate jitter position (Thanks to Dr. M. Felix Freshwater).


## Changes in version 0.2-3 (2015-12-30)

* New geom_stepribbon.
* Pointwise confidence intervals of Kaplan-Meier plots with band (Thanks to Dr. M. Felix Freshwater).
* Notched box plots (Thanks to Dr. M. Felix Freshwater).
* Stratified (colored) box plots (Thanks to Dr. M. Felix Freshwater).


## Changes in version 0.2-2 (2015-12-22)

* New ggplot2's theme (theme_linedraw, theme_light).
* New ggthemes's themes (theme_base, theme_par).
* Fixed a bug was caused by new ggplot2's theme.
* Fixed a bug related to ggthemes 3.0.0.
* Fixed a bug related to windows fonts.
* Fixed a bug related to file saving.
* Added a vignette for dataset requirements to make Kaplan-Meier plot.
* Added a vignette for extrafont.


## Changes in version 0.2-1 (2015-12-14)

* Kaplan-Meier plot: fixed a bug was caused by tie data handling (Thanks to Dr. M. Felix Freshwater).
* Slovenian translation by Matjaž Jeran (Thanks to Matjaž Jeran and their friends).
* New ggplot2's theme (theme_dark).
* New ggthemes's themes (theme_calc, theme_fivethirtyeight, theme_gdocs, theme_hc, theme_pander).
* Preview button (Thanks to Prof. Erich Neuwirth).
* GUI refinement (Thanks to Prof. Erich Neuwirth).


## Changes in version 0.2-0 (2013-01-23)

* Fixed a bug about "modes" in "variableboxes" class.
* Added ggplot2-0.9.3's themes (classic, minimal).
* Added ggthemes's themes (tufte, economist, solarized, stata, excel, igray, few, wsj).
* Kaplan-Meier plot: added a option to show a p-value of the log-rank test (Thanks to Sharma Vivek).
* Kaplan-Meier plot: added a option to draw a line at median survival (Thanks to Sharma Vivek).
* Scatter plot matrix: fixed bugs and reimplemented, because the ggplot2::plotmatrix() is deprecated.
* Scatter plot matrix: added stratified plots.
* Modified start-up for the problem that Commander window open twice when a plug-in is loaded via library() (see Rcmdr 1.9-3 NEWS).


## Changes in version 0.1-1 (2012-09-03)

* Renamed opt() to theme() and theme_xx() and element_xx() for the new theme system.
* Deleted a theme element: theme_rect2().
* Box plot: added a symbol of the median for violin plots.


## Changes in version 0.1-0 (2012-05-18)

* Restructuring implementation approach for efficient maintenance.
* Added options() for storing package specific options (e.g., font size, font family, ...).
* Added a theme: theme_simple().
* Added a theme element: theme_rect2().
* Added a list box for facet_xx() functions in some menus (Thanks to Prof. Murtaza Haider).
* Kaplan-Meier plot: added confidence intervals.
* Box plot: added violin plots.
* Bar chart for discrete variables: deleted dynamite plots.
* Bar chart for discrete variables: added stacked bar charts.
* Scatter plot matrix: added univariate plots at diagonal positions (ggplot2::plotmatrix).
* Deleted the dummy data for histograms, which is large in size.


## Changes in version 0.0-4 (2012-05-01)

* Fixed "scale_y_continuous(formatter = "percent")" to "scale_y_continuous(labels = percent)" for ggplot2 (>= 0.9.0).
* Fixed "legend = FALSE" to "show_guide = FALSE" for ggplot2 (>= 0.9.0).
* Fixed the DESCRIPTION file for ggplot2 (>= 0.9.0) dependency.


## Changes in version 0.0-3 (2011-07-28; FIRST RELEASE VERSION)

* Kaplan-Meier plot: Show no. at risk table on outside.
* Histogram: Color coding.
* Histogram: Density estimation.
* Q-Q plot: Create plots based on a maximum likelihood estimate for the parameters of the selected theoretical distribution.
* Q-Q plot: Create plots based on a user-specified theoretical distribution.
* Box plot / Errorbar plot: Box plot.
* Box plot / Errorbar plot: Mean plus/minus S.D.
* Box plot / Errorbar plot: Mean plus/minus S.D. (Bar plot).
* Box plot / Errorbar plot: 95 percent Confidence interval (t distribution).
* Box plot / Errorbar plot: 95 percent Confidence interval (bootstrap).
* Scatter plot: Fitting a linear regression.
* Scatter plot: Smoothing with LOESS for small datasets or GAM with a cubic regression basis for large data.
* Scatter plot matrix: Fitting a linear regression.
* Scatter plot matrix: Smoothing with LOESS for small datasets or GAM with a cubic regression basis for large data.
* Line chart: Normal line chart.
* Line chart: Line char with a step function.
* Line chart: Area plot.
* Pie chart: Pie chart.
* Bar chart for discrete variables: Bar chart for discrete variables.
* Contour plot: Color coding.
* Contour plot: Heat map.
* Distribution plot: Normal distribution.
* Distribution plot: t distribution.
* Distribution plot: Chi-square distribution.
* Distribution plot: F distribution.
* Distribution plot: Exponential distribution.
* Distribution plot: Uniform distribution.
* Distribution plot: Beta distribution.
* Distribution plot: Cauchy distribution.
* Distribution plot: Logistic distribution.
* Distribution plot: Log-normal distribution.
* Distribution plot: Gamma distribution.
* Distribution plot: Weibull distribution.
* Distribution plot: Binomial distribution.
* Distribution plot: Poisson distribution.
* Distribution plot: Geometric distribution.
* Distribution plot: Hypergeometric distribution.
* Distribution plot: Negative binomial distribution.


## Changes in version 0.0-2 (2010-11-01; ALPHA TEST VERSION)

* Kaplan-Meier plot: Show no. at risk on inside.


## Changes in version 0.0-1 (2010-XX-XX; UNRELEASED VERSION)

* Kaplan-Meier plot: Usual Kaplan-Meier plot.
